// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v4.23.4
// source: stateMachine.proto

package proto

import (
	proto "gitlab.com/nikita.morozov/ms-shared/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type StateMachine struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name         string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	BotId        uint32 `protobuf:"varint,3,opt,name=botId,proto3" json:"botId,omitempty"`
	StartStateId uint32 `protobuf:"varint,4,opt,name=startStateId,proto3" json:"startStateId,omitempty"`
	Meta         string `protobuf:"bytes,5,opt,name=meta,proto3" json:"meta,omitempty"`
}

func (x *StateMachine) Reset() {
	*x = StateMachine{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StateMachine) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StateMachine) ProtoMessage() {}

func (x *StateMachine) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StateMachine.ProtoReflect.Descriptor instead.
func (*StateMachine) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{0}
}

func (x *StateMachine) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *StateMachine) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *StateMachine) GetBotId() uint32 {
	if x != nil {
		return x.BotId
	}
	return 0
}

func (x *StateMachine) GetStartStateId() uint32 {
	if x != nil {
		return x.StartStateId
	}
	return 0
}

func (x *StateMachine) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

type StateMachineResp struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items     []*StateMachine  `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Paginator *proto.Paginator `protobuf:"bytes,2,opt,name=paginator,proto3" json:"paginator,omitempty"`
}

func (x *StateMachineResp) Reset() {
	*x = StateMachineResp{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StateMachineResp) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StateMachineResp) ProtoMessage() {}

func (x *StateMachineResp) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StateMachineResp.ProtoReflect.Descriptor instead.
func (*StateMachineResp) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{1}
}

func (x *StateMachineResp) GetItems() []*StateMachine {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *StateMachineResp) GetPaginator() *proto.Paginator {
	if x != nil {
		return x.Paginator
	}
	return nil
}

type Transition struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        uint32  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	StateId   uint32  `protobuf:"varint,2,opt,name=stateId,proto3" json:"stateId,omitempty"`
	Trigger   string  `protobuf:"bytes,3,opt,name=trigger,proto3" json:"trigger,omitempty"`
	ToStateId *uint32 `protobuf:"varint,4,opt,name=toStateId,proto3,oneof" json:"toStateId,omitempty"`
	Meta      string  `protobuf:"bytes,5,opt,name=meta,proto3" json:"meta,omitempty"`
}

func (x *Transition) Reset() {
	*x = Transition{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Transition) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Transition) ProtoMessage() {}

func (x *Transition) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Transition.ProtoReflect.Descriptor instead.
func (*Transition) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{2}
}

func (x *Transition) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Transition) GetStateId() uint32 {
	if x != nil {
		return x.StateId
	}
	return 0
}

func (x *Transition) GetTrigger() string {
	if x != nil {
		return x.Trigger
	}
	return ""
}

func (x *Transition) GetToStateId() uint32 {
	if x != nil && x.ToStateId != nil {
		return *x.ToStateId
	}
	return 0
}

func (x *Transition) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

type State struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             uint32        `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name           string        `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	ScenarioId     uint32        `protobuf:"varint,3,opt,name=scenarioId,proto3" json:"scenarioId,omitempty"`
	StateMachineId uint32        `protobuf:"varint,4,opt,name=stateMachineId,proto3" json:"stateMachineId,omitempty"`
	Meta           string        `protobuf:"bytes,5,opt,name=meta,proto3" json:"meta,omitempty"`
	Transitions    []*Transition `protobuf:"bytes,6,rep,name=transitions,proto3" json:"transitions,omitempty"`
}

func (x *State) Reset() {
	*x = State{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *State) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*State) ProtoMessage() {}

func (x *State) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use State.ProtoReflect.Descriptor instead.
func (*State) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{3}
}

func (x *State) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *State) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *State) GetScenarioId() uint32 {
	if x != nil {
		return x.ScenarioId
	}
	return 0
}

func (x *State) GetStateMachineId() uint32 {
	if x != nil {
		return x.StateMachineId
	}
	return 0
}

func (x *State) GetMeta() string {
	if x != nil {
		return x.Meta
	}
	return ""
}

func (x *State) GetTransitions() []*Transition {
	if x != nil {
		return x.Transitions
	}
	return nil
}

type StateBatch struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*State `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *StateBatch) Reset() {
	*x = StateBatch{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StateBatch) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StateBatch) ProtoMessage() {}

func (x *StateBatch) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StateBatch.ProtoReflect.Descriptor instead.
func (*StateBatch) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{4}
}

func (x *StateBatch) GetItems() []*State {
	if x != nil {
		return x.Items
	}
	return nil
}

type StateMachineExport struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StateMachine *StateMachine     `protobuf:"bytes,1,opt,name=stateMachine,proto3" json:"stateMachine,omitempty"`
	States       []*State          `protobuf:"bytes,2,rep,name=states,proto3" json:"states,omitempty"`
	Scenarios    []*ScenarioModel  `protobuf:"bytes,3,rep,name=scenarios,proto3" json:"scenarios,omitempty"`
	Connectors   []*ConnectorModel `protobuf:"bytes,4,rep,name=connectors,proto3" json:"connectors,omitempty"`
}

func (x *StateMachineExport) Reset() {
	*x = StateMachineExport{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stateMachine_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StateMachineExport) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StateMachineExport) ProtoMessage() {}

func (x *StateMachineExport) ProtoReflect() protoreflect.Message {
	mi := &file_stateMachine_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StateMachineExport.ProtoReflect.Descriptor instead.
func (*StateMachineExport) Descriptor() ([]byte, []int) {
	return file_stateMachine_proto_rawDescGZIP(), []int{5}
}

func (x *StateMachineExport) GetStateMachine() *StateMachine {
	if x != nil {
		return x.StateMachine
	}
	return nil
}

func (x *StateMachineExport) GetStates() []*State {
	if x != nil {
		return x.States
	}
	return nil
}

func (x *StateMachineExport) GetScenarios() []*ScenarioModel {
	if x != nil {
		return x.Scenarios
	}
	return nil
}

func (x *StateMachineExport) GetConnectors() []*ConnectorModel {
	if x != nil {
		return x.Connectors
	}
	return nil
}

var File_stateMachine_proto protoreflect.FileDescriptor

var file_stateMachine_proto_rawDesc = []byte{
	0x0a, 0x12, 0x73, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x05, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x1a, 0x10, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0f, 0x62,
	0x6f, 0x74, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x80,
	0x01, 0x0a, 0x0c, 0x53, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x62, 0x6f, 0x74, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x05, 0x62, 0x6f, 0x74, 0x49, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x73, 0x74, 0x61,
	0x72, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x0c, 0x73, 0x74, 0x61, 0x72, 0x74, 0x53, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x74,
	0x61, 0x22, 0x74, 0x0a, 0x10, 0x53, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x12, 0x29, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x74, 0x61,
	0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73,
	0x12, 0x35, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x73, 0x68, 0x61, 0x72,
	0x65, 0x64, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x52, 0x09, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x6f, 0x72, 0x22, 0x95, 0x01, 0x0a, 0x0a, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x73, 0x74, 0x61, 0x74, 0x65, 0x49,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x07, 0x73, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64,
	0x12, 0x18, 0x0a, 0x07, 0x74, 0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x07, 0x74, 0x72, 0x69, 0x67, 0x67, 0x65, 0x72, 0x12, 0x21, 0x0a, 0x09, 0x74, 0x6f,
	0x53, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x48, 0x00, 0x52,
	0x09, 0x74, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x12, 0x0a,
	0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x74,
	0x61, 0x42, 0x0c, 0x0a, 0x0a, 0x5f, 0x74, 0x6f, 0x53, 0x74, 0x61, 0x74, 0x65, 0x49, 0x64, 0x22,
	0xbc, 0x01, 0x0a, 0x05, 0x53, 0x74, 0x61, 0x74, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1e, 0x0a,
	0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0d, 0x52, 0x0a, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x49, 0x64, 0x12, 0x26, 0x0a,
	0x0e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x49, 0x64, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68,
	0x69, 0x6e, 0x65, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x33, 0x0a, 0x0b, 0x74, 0x72, 0x61,
	0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x11,
	0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x30,
	0x0a, 0x0a, 0x53, 0x74, 0x61, 0x74, 0x65, 0x42, 0x61, 0x74, 0x63, 0x68, 0x12, 0x22, 0x0a, 0x05,
	0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x0c, 0x2e, 0x62, 0x6f,
	0x74, 0x4d, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73,
	0x22, 0xde, 0x01, 0x0a, 0x12, 0x53, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e,
	0x65, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x37, 0x0a, 0x0c, 0x73, 0x74, 0x61, 0x74, 0x65,
	0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e,
	0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69,
	0x6e, 0x65, 0x52, 0x0c, 0x73, 0x74, 0x61, 0x74, 0x65, 0x4d, 0x61, 0x63, 0x68, 0x69, 0x6e, 0x65,
	0x12, 0x24, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x0c, 0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x52, 0x06,
	0x73, 0x74, 0x61, 0x74, 0x65, 0x73, 0x12, 0x32, 0x0a, 0x09, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72,
	0x69, 0x6f, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x62, 0x6f, 0x74, 0x4d,
	0x73, 0x2e, 0x53, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52,
	0x09, 0x73, 0x63, 0x65, 0x6e, 0x61, 0x72, 0x69, 0x6f, 0x73, 0x12, 0x35, 0x0a, 0x0a, 0x63, 0x6f,
	0x6e, 0x6e, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x15,
	0x2e, 0x62, 0x6f, 0x74, 0x4d, 0x73, 0x2e, 0x43, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x6f, 0x72,
	0x4d, 0x6f, 0x64, 0x65, 0x6c, 0x52, 0x0a, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x6f, 0x72,
	0x73, 0x42, 0x64, 0x0a, 0x23, 0x70, 0x72, 0x6f, 0x2e, 0x6e, 0x6d, 0x62, 0x6f, 0x74, 0x2e, 0x62,
	0x6f, 0x74, 0x73, 0x2e, 0x73, 0x74, 0x61, 0x74, 0x65, 0x2d, 0x6d, 0x61, 0x63, 0x68, 0x69, 0x6e,
	0x65, 0x2d, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x42, 0x12, 0x53, 0x74, 0x61, 0x74, 0x65, 0x4d,
	0x61, 0x63, 0x68, 0x69, 0x6e, 0x65, 0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x50, 0x01, 0x5a, 0x27,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6e, 0x69, 0x6b, 0x69, 0x74,
	0x61, 0x2e, 0x6d, 0x6f, 0x72, 0x6f, 0x7a, 0x6f, 0x76, 0x2f, 0x62, 0x6f, 0x74, 0x73, 0x2d, 0x6d,
	0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_stateMachine_proto_rawDescOnce sync.Once
	file_stateMachine_proto_rawDescData = file_stateMachine_proto_rawDesc
)

func file_stateMachine_proto_rawDescGZIP() []byte {
	file_stateMachine_proto_rawDescOnce.Do(func() {
		file_stateMachine_proto_rawDescData = protoimpl.X.CompressGZIP(file_stateMachine_proto_rawDescData)
	})
	return file_stateMachine_proto_rawDescData
}

var file_stateMachine_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_stateMachine_proto_goTypes = []interface{}{
	(*StateMachine)(nil),       // 0: botMs.StateMachine
	(*StateMachineResp)(nil),   // 1: botMs.StateMachineResp
	(*Transition)(nil),         // 2: botMs.Transition
	(*State)(nil),              // 3: botMs.State
	(*StateBatch)(nil),         // 4: botMs.StateBatch
	(*StateMachineExport)(nil), // 5: botMs.StateMachineExport
	(*proto.Paginator)(nil),    // 6: nmbot.shared.Paginator
	(*ScenarioModel)(nil),      // 7: botMs.ScenarioModel
	(*ConnectorModel)(nil),     // 8: botMs.ConnectorModel
}
var file_stateMachine_proto_depIdxs = []int32{
	0, // 0: botMs.StateMachineResp.items:type_name -> botMs.StateMachine
	6, // 1: botMs.StateMachineResp.paginator:type_name -> nmbot.shared.Paginator
	2, // 2: botMs.State.transitions:type_name -> botMs.Transition
	3, // 3: botMs.StateBatch.items:type_name -> botMs.State
	0, // 4: botMs.StateMachineExport.stateMachine:type_name -> botMs.StateMachine
	3, // 5: botMs.StateMachineExport.states:type_name -> botMs.State
	7, // 6: botMs.StateMachineExport.scenarios:type_name -> botMs.ScenarioModel
	8, // 7: botMs.StateMachineExport.connectors:type_name -> botMs.ConnectorModel
	8, // [8:8] is the sub-list for method output_type
	8, // [8:8] is the sub-list for method input_type
	8, // [8:8] is the sub-list for extension type_name
	8, // [8:8] is the sub-list for extension extendee
	0, // [0:8] is the sub-list for field type_name
}

func init() { file_stateMachine_proto_init() }
func file_stateMachine_proto_init() {
	if File_stateMachine_proto != nil {
		return
	}
	file_botCommon_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_stateMachine_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StateMachine); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stateMachine_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StateMachineResp); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stateMachine_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Transition); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stateMachine_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*State); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stateMachine_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StateBatch); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stateMachine_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StateMachineExport); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_stateMachine_proto_msgTypes[2].OneofWrappers = []interface{}{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_stateMachine_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_stateMachine_proto_goTypes,
		DependencyIndexes: file_stateMachine_proto_depIdxs,
		MessageInfos:      file_stateMachine_proto_msgTypes,
	}.Build()
	File_stateMachine_proto = out.File
	file_stateMachine_proto_rawDesc = nil
	file_stateMachine_proto_goTypes = nil
	file_stateMachine_proto_depIdxs = nil
}
